#!/bin/bash

function W()
{
 wcall "$@"
 if [ ! $? -eq 0 ]; then
   exit -1;
 fi
}

WINDOW=`W 0 CreateObject Window 0`
W $WINDOW Init 5 5 67 20 "[Net|BO] Actualização de dados" >& /dev/null

# LABEL: window, x-axis, y-axis, text, size, color, text align, center
QUESTION=`W 0 CreateObject Label 0`
W $QUESTION Init $WINDOW 1 2 "Foi efectuada uma actualização de dados. Pretende activa-la?" 3 511 1 0 >& /dev/null

# BUTTON: window, x-axis, y-axis, width, height, caption, code, color, hotkey
BYES=`W 0 CreateObject Button 0`
W $BYES Init $WINDOW 14 10 20 8 "Sim" 1 511 28

BNO=`W 0 CreateObject Button 0`
W $BNO Init $WINDOW 34 10 20 8 "Nao" 2 767 28
  
RET=-1
while [ "$RET" != "1" ]; do
  sleep 0.1

  RET=`W $WINDOW DoEvents 0 0`
  
  # no button
  if [ "$RET" == "2" ]; then
    exit 0
  fi
  
  # yes button
  if [ "$RET" == "1" ]; then
    killall winrest
    exit 0
  fi
done

exit 0

