package WO::DB::SQLite;

use strict;
use warnings;

use base qw( WO::DB );

sub register_functions {
}

sub do {
  my $s = shift;
  my( $q, @p ) = @_;

  my $dbh = $s->dbh();
  my $sth;
  
  eval {
    $sth = $dbh->prepare($q) or $s->abort($dbh->errstr());
    $sth->execute(@p);
  };

  if ($@) {
    print STDERR "ERROR... QUERY: $q, PARAMS: ".Dumper(\@p);
    die("SQL ERROR");
  }
}

1;
