package WinRest::File::Delivery;

use strict;
use warnings;

use base qw( WinRest::File::Fields );
 
sub fields {
  ( { num_proc   => 9  },
    { num_dlv    => 9  },
    { num_cnt    => 3  },
    { emp_ped    => 6  },
    { hora_ab    => 10 },
    { emp_des    => 6 },
    { hora_des   => 10 },
    { emp_ent    => 6  },
    { hora_saida => 10  },
    { hora_chega => 10  },
    { nome_emp   => 16  },
    { nome_cli   => 40  },
    { morada_cli => 35  },
    { localidade => 30  },
    { cod_pst    => 25  },
    { telef      => 20  },
  );
}

sub defaults {
  ( { num_proc   => undef },
    { num_dlv    => undef },
    { num_cnt    => undef },
    { emp_ped    => undef },
    { hora_ab    => undef },
    { emp_des    => undef },
    { hora_des   => undef },
    { emp_ent    => undef },
    { hora_saida => undef },
    { hora_chega => undef },
    { nome_emp   => undef },
    { nome_cli   => undef },
    { morada_cli => undef },
    { localidade => undef },
    { cod_pst    => undef },
    { telef      => undef },
  );
}

1;

