package WinRest::File::MovementDetails;

use strict;
use warnings;

use base qw( WinRest::File::Fields );

sub fields {
  ( { fb_d_proc => 9  },
    { fb_d_nseq => 4  },
    { fb_d_nope => 1  },
    { fb_d_nabs => 9  },
    { fb_d_cart => 6  },
    { fb_d_cped => 5  },
    { fb_d_desc => 13 },
    { fb_d_quan => 8  },
    { fb_d_pvpb => 12 },
    { fb_d_vdsc => 12 },
    { fb_d_vofe => 12 },
    { fb_d_tiva => 6  },
    { fb_d_hope => 5  },
    { fb_d_empr => 6  },
    { fb_d_hrel => 5  },
    { fb_d_orel => 4  },
    { fb_d_orig => 2  },
    { fb_d_prom => 1  },
    { fb_d_narm => 3  },
  );
}

1;
