package WinRest::File::Sessions;

use strict;
use warnings;

use base qw( WinRest::File::Fields );

sub fields {
  return (
    { abs_number     => 9  },
    { session_date   => 10 },
    { session_hour   => 5  },
    { cashier_code   => 2  },
    { shift_number   => 2  },
    { operation_type => 2  },
    { employee_code  => 6  },
  );
}

1;

