package WinRest::File::WRSTSC01;

use strict;
use warnings;

use base qw( WinRest::File::Fields );

#
# This spec is according the WinREST FO version 5.5 formats
#

sub fields {
  ( { param_code  => 6  },
    { param_name  => 6  },
    { param_value => 21 },
    { param_extra => 1  },
  );
}

sub defaults {
  ( { param_code  => undef },
    { param_name  => undef },
    { param_value => undef },
    { param_extra => undef },
  );
}

1;
