package WinTouch::Export::Categorias;

use strict;
use warnings;

use base qw( WinTouch::Export );

sub key_fields { qw/ Artigo Categoria Num Ordem / }

sub fields {
  return qw( Artigo Categoria Comentario CorFont Descricao Exclusivos Exportado Imagem
             MaxItems Menu Nivel Num Ordem Promo Seccao TamanhoBotoes TipoPreco Tipotextura Versao
           );
}

sub defaults {
  return (
    Artigo => "",
    Categoria => "",
    Comentario => "",
    CorFont => 0,
    Descricao => "",
    Exclusivos => 0,
    Exportado => 0,
    Imagem => "",
    MaxItems => 0,
    Menu => 0,
    Nivel => 0,
    Num => 0,
    Ordem => 1,
    Promo => 0,
    Seccao => 0,
    TamanhoBotoes => 5,
    TipoPreco => 0,
    Tipotextura => 0,
    Versao  => "2006-08-31 01:07:20",
   );
}

1;
