#!/bin/bash

LOG_FILE="/home/weckOFFICE/check_files.log"
WRST_PATH="/home/winrest/files/data"

function check_file()
{
  FULL_PATH=$WRST_PATH/$1.000
  
  if [ ! -f "$FULL_PATH" ]; then
    for bck in `ls $WRST_PATH/$1.000.* | grep -v filtered | tail -1`; do
      DATE_STR=`date`
      echo "[$DATE_STR] $1.000 is missing! Will copy $bck into it..." >> $LOG_FILE
    done
  fi
}

if [ ! -d "$WRST_PATH" ]; then
  exit                                                                  
fi 

while [ true ]; do
  for file in "wrstmart" "wrstmfam" "wrstmcli" "wrstmemp" "wrsttprm"; do
    check_file $file
  done
  
  sleep 10
done
