package WO::Client::Integrators::rTOS::Table::Media;

use strict;
use warnings;

use base qw/ WO::Client::Integrators::rTOS::Table /;

sub table { 'MED' }

sub cache_fields { ( 0 ) }

my %service_types = (
  0 => 'None',
  1 => 'Credit Auth',
  2 => 'Gift Card',
  3 => 'Credit Terminal',
  4 => 'reserved',
  5 => 'reserved',
  6 => 'reserved',
);

my %service_classes = (
  0 => 'None',
  1 => 'House',
  2 => 'Group',
  3 => 'Company',
);

my %overtender_to_gratuity = (
  0 => 'None',
  1 => 'Cash Tips',
  2 => 'Charge Tips',
);

sub fields {
  (
#    { effectivedate => '' },
#    { sendtonetwork => '1' },
    { recordid => undef },
    { changemedia => '1' },
    { mediatotalsid => '1' },
    { medianame => undef },
    { indepositlist => '1' },
    { opensecondarydrawer => '0' },
    { verifysignature => '0' },
    { servicetype => '0' },
    { serviceclass => '0' },
    { changedescription => 'Change' },
    { exchangerate => '0.0' },
    { reserved => undef },
#    { numdecimalsinexchangerate => '0' },
    { currencydecimalplaces => '2' },
    { securitylevel => '0' },
    { overtendertogratuity => '0' },
    { usedaschange => '1' },
    { givechange => '1' },
    { opendrawer => '0' },
    { printsignature => '0' },
    { speedtender => '1' },
    { sellable => '0' },
    { chargeacct => '0' },
    { printofficecopy => '0' },
    { payinfull => '1' },
    { reserved => undef },
#    { promptforpin => '0' },
    { printsecondcopyvoucher => '0' },
    { foreigncurrency => '0' },
    { printexchangerate => '0' },
    { triangulationmethod => '0' },
    { denomination => '0.01' },
    { changehalo => '9999999.99' },
    { discountlink => '0' },
    { lastupdatetime => '2006-07-13 11:35:42' },
    { cardschemelink => '' },
  );
}

1;


