package WO::Client::Integrators::rTOS::Table::PLU;

use strict;
use warnings;

use base qw/ WO::Client::Integrators::rTOS::Table /;

sub table { 'PLU' }

sub cache_fields { ( 0 ) }

my %promo_types = (
  0 => 'None',
  1 => 'Fixed Price',
  2 => 'Price Override',
  3 => 'Group Discount',
  4 => 'Item Discount',
);

sub fields {
  (
#    { effectivedate => '' },
#    { sendtonetwork => '1' },
    { recordid => undef },
    { department => undef },
    { itemdesc => undef },
    { remotedesc => undef },
    { reorderid => '0' },
    { disabled => '0' },
    { rolluppricing => '0' },
    { additionalprice => '0' },
    { openprice => '0' },
    { scaleable => '0' },
    { staydownsize => '0' },
    { printofficecopy => '0' },
    { tracksystemsales => '1' },
    { trackusersales => '0' },
    { printhighlighted => '0' },
    { enablelevelpricing => '0' },
    { limitedqty => '0' },
    { routeprinting => '0' },
    { prefixisprice => '0' },
    { spellit => '0' },
    { color => '8421631' },
    { designateditem => '0' },
    { promotype => '0' },
    { mealper1price => '0' },
    { mealper2price => '0' },
    { mealper3price => '0' },
    { mealper4price => '0' },
    { mealper5price => '0' },
    { mealper6price => '0' },
    { mealper7price => '0' },
    { mealper8price => '0' },
    { discountlink => '' },
    { level1active => '0' },
    { level2active => '0' },
    { level3active => '0' },
    { level4active => '0' },
    { level5active => '0' },
    { level6active => '0' },
    { level7active => '0' },
    { level8active => '0' },
    { activesize1 => '0' },
    { activesize2 => '0' },
    { activesize3 => '0' },
    { activesize4 => '0' },
    { activesize5 => '0' },
    { activesize6 => '0' },
    { activesize7 => '0' },
    { activesize8 => '0' },
    { mealcount => '0' },
    { securitylevel => '0' },
    { taretableindex => '0' },
    { quantityhalo => '0' },
    { device1 => '' },
    { device2 => '' },
    { device3 => '' },
    { device4 => '' },
    { device5 => '' },
    { device6 => '' },
    { device7 => '' },
    { device8 => '' },
    { barcode => '' },
    { lastupdatetime => '2006-06-30 13:36:18' },
    { promopriority => '0' },
    { discountable => '0' },
  );
}

1;


