package WinRest::File::Automatics;

use strict;
use warnings;

use base qw( WinRest::File::Fields );

#sub cache_key_field { 'mart_codg' }

#43

sub fields {
  ( { prod_top        => 6  },
    { prod_auto       => 6  },
    { quantity        => 8  },
    { price_to_use    => 1  },
    { origin_table    => 6  },
    { can_round       => 8  },
    { multiply_factor => 8  },
  );
}

sub defaults {
  ( { prod_top        => undef   },
    { prod_auto       => undef   },
    { quantity        => '1.000' },
    { price_type      => 0       },
    { origin_table    => 0       },
    { can_round       => 0       },
    { multiply_factor => '0.000' },
  );
}

1;


