package WinRest::File::Exclusions;

use strict;
use warnings;

use base qw( WinRest::File::Fields );

sub fields {
  ( { location_code => 2 },
    { location_type => 1 },
    { content_code => 6  },
    { content_type => 1  },
  );
}

1;

__END__
primeiro valor -> cdigo do local / posto (2 char)

segundo valor: (1 char)
1 - local
0 - posto

terceiro valor: cdigo do conteudo (6 char)

valor final: (1 char)
1 - empregado
0 - artigo
2 - famlia
3 - acesso