package WinRest::File::HappyHours;

use strict;
use warnings;

use base qw( WinRest::File::Fields );

sub fields {
  ( { code    => 2  },
    { code_local => 2  },
    { week_day => 1  },
    { start => 5  },
    { stop => 5  },
    { price_to_use => 1  },
  );
}

sub defaults {
  ( { code    => undef  },
    { code_local => undef  },
    { week_day => 0  },
    { start => 0  },
    { stop => 0  },
    { price_to_use => 1  },
  );
}

1;


