package WinRest::File::MovementHeaders;

use strict;
use warnings;

use base qw( WinRest::File::Fields );

sub fields {
  ( { fb_c_proc => 9  },
    { fb_c_data => 10 },
    { fb_c_turn => 1  },
    { fb_c_nabs => 9  },
    { fb_c_hora => 5  },
    { fb_c_loca => 2  },
    { fb_c_mesa => 4  },
    { fb_c_empa => 6  },
    { fb_c_hore => 5  },
    { fb_c_empe => 6  },
    { fb_c_tdoc => 1  },
    { fb_c_ndoc => 8  },
    { fb_c_vtot => 13 },
    { fb_c_npes => 3  },
    { fb_c_ncli => 6  },
    { fb_c_atr1 => 2  },
    { fb_c_atr2 => 1  },
    { fb_c_atr3 => 1  },
    { fb_c_resv => 2  },
    { fb_c_fext => 1  },
  );
}

1;
