package WinRest::File::Promotions;

use strict;
use warnings;

use base qw( WinRest::File::Fields );

sub fields {
  return (
    { parent_article => 6  },
    { step_number    => 2  },
    { article        => 6  },
    { xtra_cost      => 12 },
  );
}

sub defaults {
  ( { xtra_cost   => "0.00" },
    { step_number => 1 },
  )
}
1;

