package WinTouch::Export::BotoesCategoria;

use strict;
use warnings;

use base qw( WinTouch::Export );

sub key_fields { qw/ Artigo Categoria SubCategoria Num Ordem / }

sub fields {
  return qw( Adicional Artigo Categoria Comentario CorFont Exclusivos Exportado
             Imagem Label MaxItems Menu Num Ordem Promo Seccao SubCategoria TempLabel
             TipoPreco Tipotextura Versao
           );
}

sub defaults {
  return (
    Adicional => "",
    Artigo => undef,
    Categoria => undef,
    Comentario => "",
    CorFont => 0,
    Exclusivos => 0,
    Exportado => 0,
    Imagem => "",
    Label => undef,
    MaxItems => 0,
    Menu => 0,
    Num => undef,
    Ordem => 1,
    Promo => 0,
    Seccao => 0,
    SubCategoria => "",
    TempLabel => 3,
    TipoPreco => 0,
    Tipotextura => 0,
    Versao  => "2006-08-31 01:07:20",
   );
}

1;
